Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.fop.render.intermediate
Class EventProducingFilter

    java.lang.Object
      org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy
          org.apache.fop.render.intermediate.EventProducingFilter

All Implemented Interfaces:
  IFDocumentHandler

    public class EventProducingFilter

extends IFDocumentHandlerProxy

A filter that uses the Event Notification System to broadcast IF events.

Field Summary

Fields inherited from class org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy
`delegate`

Constructor Summary
`EventProducingFilter(IFDocumentHandler ifDocumentHandler, FOUserAgent userAgent)` Constructor

Method Summary
`void` | `endPage()` Indicates the end of a page

Methods inherited from class org.apache.fop.render.intermediate.util.IFDocumentHandlerProxy
`endDocument, endDocumentHeader, endDocumentTrailer, endPageContent, endPageHeader, endPageSequence, endPageTrailer, getConfigurator, getContext, getDocumentNavigationHandler, getFontInfo, getMimeType, getStructureTreeEventHandler, handleExtensionObject, setDefaultFontInfo, setDocumentLocale, setFontInfo, setResult, startDocument, startDocumentHeader, startDocumentTrailer, startPage, startPageContent, startPageHeader, startPageSequence, startPageTrailer, supportsPagesOutOfOrder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EventProducingFilter

    public EventProducingFilter(IFDocumentHandler ifDocumentHandler,
                                FOUserAgent userAgent)

  Constructor

  Parameters:
    `ifDocumentHandler` - the IFDocumentHandler to filter
    `userAgent` - the FOUerAgent

Method Detail

### endPage

    public void endPage()
                 throws IFException

  Description copied from class: `IFDocumentHandlerProxy`
  Indicates the end of a page

  Specified by:
    `endPage` in interface `IFDocumentHandler`
  Overrides:
    `endPage` in class `IFDocumentHandlerProxy`
  Throws:
    `IFException` - if an error occurs while handling this event

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| fop 2.0
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright 1999-2015 The Apache Software Foundation. All Rights Reserved.